Bug 70014 - Severe system degradation when displaying random data
Severe system degradation when displaying random data
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: vte (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-28 19:59 EDT by Gigs
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-29 14:29:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gigs 2002-07-28 19:59:50 EDT
Description of Problem:
catting a binary file or /dev/urandom causes gnome-terminal to consume large
amounts of resources, enough to make the system difficult to use.

Version-Release number of selected component (if applicable):
2.0.0-3

How Reproducible:
Always

Steps to Reproduce:
1. cat /dev/urandom or a binary file
2. 
3. 

Actual Results:
Severe system degradation

Expected Results:
Snappy display of random trash

Additional Information:
Comment 1 Havoc Pennington 2002-07-29 09:58:57 EDT
Not sure if this is a bug or a "don't do that then" ...

There's already an open bug to improve VTE performance, probably this is a dup
of that if anything. Of course improved VTE performance may well hose your
system more by sucking off of /dev/urandom more quickly and making more system
calls.
Comment 2 Nalin Dahyabhai 2002-08-14 03:15:15 EDT
This should be fixed in 0.7.4 and later.  (Basically what was happening was that
the terminal detected bogus multibyte input, munged the first bogus byte into
'?', read some more text from the child process, and then started again.  When
catting /dev/urandom, this would build up more pending data with each iteration,
leading to horrible slowdowns.)
Comment 3 Jay Turner 2002-08-29 08:41:17 EDT
I'm still seeing gnome-terminal eating CPU for breakfast when I do 'cat
/dev/urandom' with vte-0.8.10-1 . . . am I missing something here?
Comment 4 Nalin Dahyabhai 2002-08-29 14:29:51 EDT
Jay, when you break out of catting /dev/urandom, the terminal should recover
almost instantly.  Previously it would still be attempting to work through a
considerable backlog of garbage data, and would remain unresponsive, even if you
told gnome-terminal (via its menu) to reset.
Comment 5 Jay Turner 2002-08-29 16:37:25 EDT
OK, I misunderstood the problem.  Indeed, as soon as you hit CTRL-C the process
exist and the system recovers, so this is resolved.

Note You need to log in before you can comment on or make changes to this bug.